QGIS Application - Bug report #12501

QGIS does consistantly display all features of ESRI .shp files on Map

2015-04-02 05:03 AM - Robert Slivinsky

Status: Closed
Priority: Normal
Assignee:

Category: Map Canvas

Affected QGIS version:2.8.1

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 20647

Description

QGIS fails to render all features of ESRI .shp files on the map canvas. Not sure if this is related to larger data sets, but if | add an ESRI
.shp file of property parcels, not all parcels show up on the map. The exact same data set in Mapinfo .TAB show up just fine. Please see
the attached images. One is a shp (showing only a few features) and the other is a tab (showing all features). | have noticed this issue

the last few years (since | have been using it) and am finally reporting it. This type of error may scare new users away as it is basic/core

functionality that does not work properly.

Thank You.

History

#1 - 2015-04-02 05:10 AM - Nathan Woodrow

Can you attach the shapefile?

#2 - 2015-04-02 05:26 AM - Robert Slivinsky

Nathan, it is a large file. Can | send it to you via WeTransfer.com?

#3 - 2015-04-02 06:07 AM - Giovanni Manghi

- Priority changed from High to Normal
- Status changed from Open to Feedback

we have seen this issue many times here, and in most of cases it was a faulty spatial index. Try remove the indexes files and rebuild a new one using the

proper button in vector properties.

#4 - 2015-05-10 06:04 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback.
